XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator Class Reference

`#include <XnHashT.h>`

Inheritance diagram for XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator:
[legend]

## Public Member Functions

| ConstIterator ()
| ConstIterator (TPairList *const *apBins, XnUInt32 nCurrBin, typename TPairList::ConstIterator currIt)
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
TPair const & | operator* () const
TPair const * | operator-> () const

## Protected Attributes

TPairList *const * | m_ppBins
XnUInt32 | m_nCurrBin
TPairList::ConstIterator | m_currIt

## Friends

class | XnHashT

## Constructor & Destructor Documentation

## ConstIterator() [1/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::ConstIterator | ( |  | ) |

inline

## ConstIterator() [2/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::ConstIterator | ( | TPairList *const * | apBins,
|  | XnUInt32 | nCurrBin,
|  | typename TPairList::ConstIterator | currIt )

inline

## ConstIterator() [3/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::ConstIterator | ( | const ConstIterator & | other | ) |

inline

## Member Function Documentation

## operator!=()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnBool XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator!= | ( | const ConstIterator & | other | ) | const

inline

Operator to check if two iterators point to different objects

Parameters

  other | [in] instance to compare with

## operator*()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPair const & XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator* | ( |  | ) | const

inline

Get the value of the current object (const version)

## operator++() [1/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

ConstIterator & XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

ConstIterator XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

ConstIterator & XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the previous object in the hash

## operator--() [2/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

ConstIterator XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the previous object in the hash, returning the old value

## operator->()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPair const * XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator-> | ( |  | ) | const

inline

Get a pointer to the value of the current object (const version)

## operator==()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnBool XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::operator== | ( | const ConstIterator & | other | ) | const

inline

Operator to check if two iterators point to the same object

Parameters

  other | [in] instance to compare with

## Friends And Related Symbol Documentation

## XnHashT

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

friend class XnHashT

friend

## Member Data Documentation

## m_currIt

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPairList::ConstIterator XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::m_currIt

protected

## m_nCurrBin

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnUInt32 XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::m_nCurrBin

protected

## m_ppBins

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPairList* const* XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator::m_ppBins

protected

The documentation for this class was generated from the following file:

- XnHashT.h